Page MenuHomePhabricator

U6. Allow moving Flow boards
Closed, ResolvedPublic3 Story Points

Description

As a user, I want to move (rename) a page with an associated Flow board, and have the Flow board automatically move with it, the way that talk pages currently do.

As a user, if I use Special:MoveTo to move only a Flow board, that should work too.

Acceptance criteria
  • Clicking "Move" in the menu, the Special:MovePage message should have "Move associated Flow board" as an option, replacing the current "Move associated talk page".
  • Flow should be enabled at the new location, and the topics and header on the old Flow board should be connected to the board's new location.
  • "Leave a redirect behind" should work. (If the old location is still Flow-enabled we would have to make #REDIRECT work on Flow board or put a soft redirect in its board header).
  • If the new Flow board location cannot be a Flow board, or the user does not have the rights to enable Flow there, then the move should fail with an appropriate error.
  • Re-render header against new page name.


Trello card: V9va2kmj

  • column: Send to Phabricator - Collaboration-Team board

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptFeb 20 2015, 2:06 AM

@EBernhardson Is this expected work now (at least if Occupy Pages is not used)?

Not yet but In theory this should be trivial. We just change FlowHooks::onMovePageIsValidMove to update the Workflow object instead of failing the move and see what happens :)

well, not directly update from that hook perhaps, but thats the general idea.

DannyH closed this task as Declined.Feb 23 2015, 9:58 PM
DannyH claimed this task.

These are old notes... We'll have to rethink this before we do it.

Why is this declined? This is the only task I could find about it, and we will have to implement this at some point, most likely.

Mattflaschen-WMF reopened this task as Open.Feb 24 2015, 6:45 PM
EBernhardson triaged this task as High priority.Feb 25 2015, 6:42 PM
EBernhardson set Security to None.
DannyH updated the task description. (Show Details)Mar 25 2015, 6:44 PM
Mattflaschen-WMF updated the task description. (Show Details)
Mattflaschen-WMF updated the task description. (Show Details)
Mattflaschen-WMF renamed this task from Move a Flow board -- part of rollout vision discussion? to Allow moving Flow boards.Mar 25 2015, 6:51 PM
Mattflaschen-WMF removed DannyH as the assignee of this task.

Copying across old comments from trello:

@Spage wrote (June 21, 2014):

Currently if you use Special:MoveTo to move a Flow board, or a page and its Flow-enabled talk page, all the content is left at the old board, and Flow ignores redirect. To fix this:
Flow would have to decide if the new name is or can be a Flow board and disallow certain moves (which relates to how pages are Flow-enabled, G-10. Spike: Special page to enable/disable Flow on pages).
Flow would have to update its tables so content is associated with the new board name.
Until this works, T68891: Until Flow pages can be moved, prevent someone from trying is to block moving Flow boards.

@Quiddity wrote:

This happened at these pages (They're currently redirects):

@Quiddity wrote:

(See also: description in the "Move/rename a board" card:)
As an advanced markup editor I can move a page to a new page title through Special:MovePage, and have the Flow board associated with that page move with it. In addition, I can manually move that Flow board, independent of what happens to the associated page, in the case of (ferinstance) Wikipedia-space pages.
Acceptance Criteria:

  • Special:MovePage allows for the move of Flow boards;
  • Special:MovePage allows for the move of Flow boards attached to a page the user is trying to move.

@Quiddity wrote:

See https://en.wikipedia.org/w/index.php?title=Wikipedia_talk:Flow/Developer_test_page&workflow=rwad2z0bwqkkk40u
for some comments by User:Wbm1058 (the current bot-operator of "RequestedMoveCurrentDiscussion Bot" - w:User:RMCD_bot (see User:RMCD_bot/requestedmoves.php in particular))

@Spage wrote (July 17, 2014):

This might "just work" once we stop using the $wgFlowOccupyPages whitelist in favor of G-10. Spike: Special page to enable/disable Flow on pages . The new page name would have the Flow content model thus would still be a Flow board, and @werdnum thinks its topics refer to their starting board by page ID, not by title, so they would update to indicate they came from the new Flow board name.
Currently it doesn't work. Special:MoveTo fails with internal error, the renamed Flow page has the JSON identifying the UUID for the board (good) but has contentmodelt="wikitext" instead of "flow-board", the old Flow page doesn't have #REDIRECT in it, etc.

DannyH renamed this task from Allow moving Flow boards to T2. Allow moving Flow boards.Mar 25 2015, 7:32 PM
Sunpriat added a subscriber: Sunpriat.EditedMar 30 2015, 3:27 AM

https://phabricator.wikimedia.org/T94376

also
I can combine the two articles (merged content into one) - the second board sign on the themes of the first board, or any method [[T88140| Moving topics between boards]] move all topics from one board to another board with topics. For such action need a way to cancel? Such action would make multiple log entry?

Restricted Application added a project: Collaboration-Team-Triage. · View Herald TranscriptMar 30 2015, 4:14 PM

For this first pass, i think re-rendering the board header is just going to be a null edit by the Flow talk page manager, we can revisit this later.

Change 201596 had a related patch set uploaded (by EBernhardson):
Allow moving flow boards

https://gerrit.wikimedia.org/r/201596

DannyH renamed this task from T2. Allow moving Flow boards to U6. Allow moving Flow boards.Apr 8 2015, 10:25 PM

Change 201596 merged by jenkins-bot:
Allow moving flow boards

https://gerrit.wikimedia.org/r/201596

DannyH closed this task as Resolved.Apr 14 2015, 8:55 PM

Works on Beta, including history, contribs, and notifications. Well done. :)